#!/bin/sh
dirname=`dirname $0`
appname=`basename $0 | sed s,\.sh$,,`
display=$(w -hs |awk -v tty="$(cat /sys/class/tty/tty0/active)" '$2 == tty && $3 != "-" {print $3; exit}')
loginname=$(who |awk -v tty="$(cat /sys/class/tty/tty0/active)" '$2 == tty && $3 != "-" {print $1; exit}')

tmp="${dirname#?}"
if [ "${dirname%$tmp}" != "/" ]; then
dirname=$PWD/$dirname
fi
dirname=$dirname/qt563

if [ "$display" = "" ]; then
display=:0
fi

if [ "$loginname" = "" ]; then
loginname=`who |awk '{print $1}' |head -n 1`
fi
loginhome=`cat /etc/passwd |grep $loginname | awk -F: '{print $6}' |head -n 1`

export LD_LIBRARY_PATH=$dirname
export DISPLAY=$display
export HOME=$loginhome
export QT_QPA_PLATFORM=xcb
export LANG=zh_CN.UTF-8
xhost +
if [ -f "/etc/X11/xinit/xinput.d/fcitx" ];then
	export QT_IM_MODULE=fcitx
else
	export QT_IM_MODULE=ibus
fi 
$dirname/$appname "$@"
