#!/bin/bash

# 安装目录根据实际情况修改
SETUP_PATH=/opt/SDQX

######## 判断结果,出错就停止
CheckMakeRet() {
	if [ $? -ne 0 ]
	then
	  echo "\n////////////////////////////////////////////////////////////"
	  echo "//"
	  echo "// install error!!!!"
	  echo "//"
	  echo "////////////////////////////////////////////////////////////\n"
	  exit 1
	fi
};

# create path
sudo mkdir -p ${SETUP_PATH}
CheckMakeRet

# copy res
sudo cp -rf ./res ${SETUP_PATH}/.
CheckMakeRet

# copy rules
sudo cp -f ./81-FriE.rules	/etc/udev/rules.d
CheckMakeRet
sudo chmod 644 /etc/udev/rules.d/81-FriE.rules
CheckMakeRet
sudo udevadm control --reload
CheckMakeRet

# copy ui
UI_EXE_NAME=""

echo "please select to install?"
select ret in "X86_32" "X86_64" "ARM_64" "MIPS_64" "exit";
do
break;
done

case $ret in
"X86_32")
	UI_EXE_NAME="FriEExtUI_rls"
;;
"X86_64")
	UI_EXE_NAME="FriEExtUI_x64_rls"
;;
"ARM_64")
	UI_EXE_NAME="FriEExtUI_arm64_rls"
;;
"MIPS_64")
	UI_EXE_NAME="FriEExtUI_mips64_rls"
;;
"exit")
	exit 0
;;
esac

sudo cp -rf ${UI_EXE_NAME} ${SETUP_PATH}/FriEExtUI
CheckMakeRet
sudo ln -s ${SETUP_PATH}/FriEExtUI /usr/bin/FriEExtUI
CheckMakeRet

